<?php
/*
 * Developer: Michael Jacky
 * Team site: http://vnextensions.com/
 * Support: http://support.vnextensions.com/
 * 
 */
class Glace_Glacesys_Block_Rewriter_Notifications extends Glace_Glacesys_Abstract_Adminhtml_Block
{
    /**
     * @return bool
     */
    public function isShow()
    {
        $glacesysCache = Mage::app()->useCache('glacesys');
        if (!$glacesysCache && in_array(1, Mage::app()->useCache())) {
            return true;
        }
        return false;
    }
    
    /**
     * Get cache management url
     *
     * @return string
     */
    public function getManageUrl()
    {
        return $this->getUrl('adminhtml/cache');
    }
    
    /**
     * ACL validation before html generation
     *
     * @return string
     */
    protected function _toHtml()
    {
        if (Mage::getSingleton('admin/session')->isAllowed('system/cache')) {
            return parent::_toHtml();
        }
        return '';
    }
}
